Subject: Re: B20: mv deletes files on error (NT)
From: Chris Faylor <[email-masked]>
To: David Dagon <[email-masked]>
Cc: [email-masked]
Date: Mon, 29 Mar 1999 00:56:59 -0500

I'm not 100% certain (and I can't check right now) but I think that
this should not be a problem in recent snapshots.  A net contributor
supplied a patch to make "inode" generation case-insensitive.  That
should make mv capable of detecting this problem and disallowing it.

-chris

On Sat, Mar 27, 1999 at 04:45:20PM -0500, David Dagon wrote:
>  I had a group of files that started with capital letters.  I moved
>them to a new directory, and bash renamed them to lower case
>letters.  No matter, I thought, I'll just rename them.  That's
>when I noticed the files were being deleted by bash:
>
>bash-2.02$ ls
>abstracttree.java  node.java  binarytree.java
>splaytree.java     treetype.java
>
>bash-2.02$ mv abstracttree.java Abstracttree.java
>mv: cannot move `abstracttree.java' to `Abstracttree.java': No such file
>or directory
>
>bash-2.02$ ls
>binarytree.java  splaytree.java   treetype.java
>node.java
>
>bash-2.02$ rename node.java Node.java
>bash: rename: command not found
>
>bash-2.02$ mv node.java Node.java
>mv: cannot move `node.java' to `Node.java': No such file or directory
>
>bash-2.02$ ls
>binarytree.java  splaytree.java   treetype.java
>
>Is this a bug?  If this behavior is my failure to set some variable, it
>seems to be a very dangerous trap to new users.
>
>Cheers,
>
>David Dagon
>[email-masked]
>
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>

-- 
[email-masked]
http://www.cygnus.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]